Subject: Re: A problem with perl and cygpixman-1-0.dll
From: Zdzislaw Meglicki <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 30 Oct 2012 14:27:26 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

> try rebaseall and perlrebase but I doubt it is the root cause.
 
I've done rebaseall and rebase -s on the cygpixman-1-0.dll explicitly, 
also on the Magick.dll, just to make sure. It makes no difference.
I use ImageMagick distributed with the recent version of Cygwin, that is
ImageMagick-6.7.6.3-2. I downloaded the PerlMagick-6.76 to match 
the ImageMagick (I think this is the right one, isn't it?)
 
Whereas the PerlMagick-6.76 tests pass eventually, and the message that 
shows up is a mere annoyance, in the case of LaTeXML, the process gets
nowhere, just flashing this thing all the time. Perhaps it would complete
eventually, given enough time... I never tried.
 
I didn't use perlrebase. I don't know how to use it. There's no "man"
and perlrebase --help says:
 
gustav@Crawley 510 $ perlrebase --help
/usr/bin/perl--help.exe and /usr/local/bin/perl--help.exe not found
usage: perlrebase [--help [baseaddr]]
gustav@Crawley 511 $
 
Is this just a wrapper for rebase, or does it handle perl dlls specially?
 
Cheers,
Gustav
 
Zdzislaw (Gustav) Meglicki
Indiana University
http://perth.ovpit.indiana.edu/gustav

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple